            #GIT_CMT=669af095655b9b268fd1a9f7fe26a088faa77f9c
Summary:          Gluster block storage utility
Name:             gluster-block
Version:          0.3
Release:    3.el7
Vendor:           Oracle America
License:          GPLv2 or LGPLv3+
URL:              https://github.com/gluster/gluster-block
Source0: gluster-block-0.3.tar.bz2

BuildRequires:    pkgconfig(glusterfs-api)
BuildRequires:    pkgconfig(json-c)
BuildRequires:    help2man >= 1.36
%{?systemd_requires}
BuildRequires:    systemd
# tarball releases require running ./autogen.sh
BuildRequires:    automake, autoconf, libtool, git

Requires:         tcmu-runner-handler-glfs >= 1.0.4
Requires:         targetcli >= 2.1.fb43
Requires:         rpcbind

%description
gluster-block is a CLI utility, which aims at making gluster backed block
storage creation and maintenance as simple as possible.

%prep
%setup -q

%build
echo %{version} > VERSION
./autogen.sh
%configure
%make_build

%install
%make_install

%post
%systemd_post gluster-block-target.service
%systemd_post gluster-blockd.service

%preun
%systemd_preun gluster-block-target.service
%systemd_preun gluster-blockd.service

%postun
%systemd_postun_with_restart gluster-block-target.service
%systemd_postun_with_restart gluster-blockd.service

%files
%license COPYING-GPLV2 COPYING-LGPLV3
%doc README.md
%{_sbindir}/gluster-block
%{_sbindir}/gluster-blockd
%{_mandir}/man8/gluster-block*.8*
%{_unitdir}/gluster-blockd.service
%{_unitdir}/gluster-block-target.service
%config(noreplace) %{_sysconfdir}/sysconfig/gluster-blockd
%{_libexecdir}/gluster-block/wait-for-bricks.sh
%{_libexecdir}/gluster-block/upgrade_activities.sh
%{_sharedstatedir}/gluster-block/gluster-block-caps.info

%changelog
* Thu Mar 7 2019 Tiger Yang <tiger.yang@oracle.com> - 0.3-3.el7
- merge upstream and build 0.3-3 (Tiger Yang)  
- cli: add timeout option (Prasanna Kumar Kalever)  
- Minor fixes (#176) (Prasanna Kumar Kalever)  
- cli: support env variable way of controlling GB_CLI_TIMEOUT (Prasanna Kumar Kalever)  
- cli-timeout: make rpc-timeout as configurable option (Prasanna Kumar Kalever)  
- coverity: fix multiple issues (#172) (Amar Tumballi)  
- coverity: fix pointless_string_compare issues (#171) (Amar Tumballi)  
- loadConfig: retry opening conf-file if the initial attempt fail (Prasanna Kumar Kalever)  
- cli: push output to stderr if remote rpc return non-zero (Prasanna Kumar Kalever)  
- all: fix high severity issues from coverity (#162) (Amar Tumballi)  
- gluster-blockd: defend for NULL to avoid crash (Xiubo Li)  
- cli: clean up the code style (Xiubo Li)  
- gluster-blockd: support volfile server (discovery service) setting through Env (#161) (Prasanna Kumar Kalever)  
- genconfig: add load balance support (Xiubo Li)  
- list: ignore all the invalid files (Xiubo Li)  
- README: update the multipath.conf detail for load-balance support (Xiubo Li)  
- daemon: change minimum rhel kernel version to 3.10.0-862.14.4 (Prasanna Kumar Kalever)  
- gbMinKernelVersionCheck: rename variable name 'out' with 'distro' (Prasanna Kumar Kalever)  
- dyn-config: read the config file line by line instead of allocating a fixed 32K buffer (Xiubo Li)  
- dyn-config: fix memleak for GB_LOG_LEVEL (Xiubo Li)  
- gluster-block: dump all failure msgs to stderr (Prasanna Kumar Kalever)  
- Fix memleak for errMsg (Xiubo Li)  
- audit: reduce indentation for smoother flow (#133) (Michael Adam)  
- all: fix build warnings (Amar Tumballi)  
- spec-file: fix the error in changelog date (#139) (Amar Tumballi)  
- build: move Dockerfile.buildtest to ./extras/docker/ (#143) (Prasanna Kumar Kalever)  
- Add travis-integration for build verification using docker (#142) (Michael Adam)  
- systemd: clear the target config only when tcmu-runner is running (Prasanna Kumar Kalever)  
- scripts: use TCMU_LOGDIR instead of GB_LOGDIR (Prasanna Kumar Kalever)  
- upgrade-script: clean status file on source and rpm uninstall (Prasanna Kumar Kalever)  
- upgrade-script: Makefile and rpm spec file changes (Prasanna Kumar Kalever)  
- extras: add a script for upgrade time activities (Prasanna Kumar Kalever)  
- doc: update documentation about 'no-remote-rpc' option (Prasanna Kumar Kalever)  
- daemon: add 'no-remote-rpc' option (Prasanna Kumar Kalever)  
- replace-node: update PRIOPATH at metadata when it match with old-node (Prasanna Kumar Kalever)  
- README: update the doc for helper (Xiubo Li)  
- doc: man page update (Xiubo Li)  
- genconfig: add helper info (Xiubo Li)  
- genconfig: with old blocks use first valid ipaddr from metadata as PRIOPATH (Prasanna Kumar Kalever)  
- daemon: defend on minimum recommended kernel version (Prasanna Kumar Kalever)  
- Auditlog Feature (Bhumika Goyal)  
- lru: glfslruCount add config dynamic reloading support (Xiubo Li)  
- logging: add config dynamic reloading support (Xiubo Li)  
- gluster-block: update .gitignore (Xiubo Li)  
- create: fix iscsi iqn validation check error (Xiubo Li)  
- resize: fix errCode overriding (Prasanna Kumar Kalever)  
- meta: reserve 10M space for meta-data store (Prasanna Kumar Kalever)  

* Tue Jan 22 2019 Tiger Yang <tiger.yang@oracle.com> - 0.3-2.el7
- build 0.3-2 for oracle-gluster-5

* Tue Jan 22 2019 Tiger Yang <tiger.yang@oracle.com> - 0.3-2
- build for oracle-gluster-5

* Mon Aug 20 2018 Tiger Yang <tiger.yang@oracle.com> - 0.3-1
- Initial revision for oracle-gluster-4.1

